Summary:	NVMe management command line interface
Summary(pl.UTF-8):	Konsolowy interfejs do zarządzania NVMe
Name:		nvme-cli
Version:	2.14
Release:	1
License:	GPL v2+
Group:		Applications
#Source0Download: https://github.com/linux-nvme/nvme-cli/releases
Source0:	https://github.com/linux-nvme/nvme-cli/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	03d8ed4ec8e38bab6013afbfa5f21c61
URL:		https://github.com/linux-nvme/nvme-cli
BuildRequires:	asciidoc
BuildRequires:	json-c-devel >= 0.14
BuildRequires:	linux-libc-headers >= 7:6.6
BuildRequires:	libnvme-devel >= 1.14
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	xmlto
Requires:	json-c >= 0.14
Requires:	libnvme >= 1.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dracutdir	/usr/lib/dracut

%description
nvme-cli provides NVM-Express user space tooling for Linux.

%description -l pl.UTF-8
nvme-cli dostarcza narzędzia zarządzania NVM-Express.

%package -n dracut-nvmf
Summary:	nvmf support for Dracut
Summary(pl.UTF-8):	Obsługa nvmf dla Dracut
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	dracut
BuildArch:	noarch

%description -n dracut-nvmf
nvmf support for Dracut.

%description -n dracut-nvmf -l pl.UTF-8
Obsługa nvmf dla Dracut.

%package -n bash-completion-nvme-cli
Summary:	bash-completion for nvme-cli
Summary(pl.UTF-8):	Bashowe dopełnianie składni dla nvme-cli
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-nvme-cli
bash-completion for nvme-cli.

%description -n bash-completion-nvme-cli -l pl.UTF-8
Bashowe dopełnianie składni dla nvme-cli.

%package -n zsh-completion-nvme-cli
Summary:	zsh-completion for nvme-cli
Summary(pl.UTF-8):	Dopełnianie składni w zsh dla nvme-cli
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
BuildArch:	noarch

%description -n zsh-completion-nvme-cli
zsh-completion for nvme-cli.

%description -n zsh-completion-nvme-cli -l pl.UTF-8
Dopełnianie składni w zsh dla nvme-cli.

%prep
%setup -q

%build
%meson \
	-Dsystemddir=%{systemdunitdir} \
	-Dudevrulesdir=%{_sysconfdir}/udev/rules.d \
	-Ddocs=man \
	-Ddocs-build=true

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%dir %{_sysconfdir}/nvme
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nvme/discovery.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/65-persistent-net-nbft.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/70-nvmf-autoconnect.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/70-nvmf-keys.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/71-nvmf-netapp.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/71-nvmf-vastdata.rules
%attr(755,root,root) %{_sbindir}/nvme
%{_mandir}/man1/nvme.1*
%{_mandir}/man1/nvme-*.1*
%{systemdunitdir}/nvmefc-boot-connections.service
%{systemdunitdir}/nvmf-autoconnect.service
%{systemdunitdir}/nvmf-connect-nbft.service
%{systemdunitdir}/nvmf-connect.target
%{systemdunitdir}/nvmf-connect@.service

%files -n dracut-nvmf
%defattr(644,root,root,755)
%{dracutdir}/dracut.conf.d/70-nvmf-autoconnect.conf

%files -n bash-completion-nvme-cli
%defattr(644,root,root,755)
%{bash_compdir}/nvme

%files -n zsh-completion-nvme-cli
%defattr(644,root,root,755)
%{zsh_compdir}/_nvme
%changelog
* Fri May 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nvme-cli.git;a=log;h=master

* Wed May 21 2025 Jan Palus <atler@pld-linux.org> df37410
- up to 2.14

* Fri Apr 11 2025 Jan Palus <atler@pld-linux.org> 4eab029
- up to 2.13

* Mon Mar 17 2025 Jan Palus <atler@pld-linux.org> 08ec26c
- up to 2.12

* Mon Mar 17 2025 Jan Palus <atler@pld-linux.org> ff13bd1
- use new meson macros

* Fri Nov 01 2024 Jan Palus <atler@pld-linux.org> 6bec999
- up to 2.11

* Fri Aug 02 2024 Jan Palus <atler@pld-linux.org> 51f9153
- up to 2.10

* Fri May 03 2024 Jan Palus <atler@pld-linux.org> 28d3401
- up to 2.9.1

* Wed Feb 14 2024 Jan Palus <atler@pld-linux.org> ae4635c
- up to 2.8

* Thu Dec 21 2023 Jan Palus <atler@pld-linux.org> e7acd64
- up to 2.7.1

* Tue Dec 19 2023 Jan Palus <atler@pld-linux.org> d401722
- up to 2.7

* Mon Oct 02 2023 Jan Palus <atler@pld-linux.org> 7664955
- up to 2.6

* Sat Sep 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 88556fa
- package nvme/discovery.conf

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> 294f506
- up to 2.5

* Wed May 17 2023 Jan Palus <atler@pld-linux.org> c6f618a
- up to 2.4

* Wed May 17 2023 Jan Palus <atler@pld-linux.org> 37dfdd7
- BR: pkgconfig

* Sun Nov 27 2022 Jan Palus <atler@pld-linux.org> 7d01a4a
- correct bash-completion epoch

* Sun Nov 27 2022 Jan Palus <atler@pld-linux.org> e12f7d4
- rpm version for noarch subpackage

* Sun Nov 27 2022 Jan Palus <atler@pld-linux.org> 81be8c7
- up to 2.2.1

* Thu May 20 2021 Jan Palus <atler@pld-linux.org> 27bb22e
- up to 1.14

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> ab0963c
- unconditional noarch subpackages

